<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Blogger_Era
 */

get_header();
?>
<div class="container">
	<div id="primary" class="content-area">
		<main id="main" class="site-main">

		<?php if ( have_posts() ) : ?>

			<?php $enable_archive_title 		= blogger_era_get_option( 'enable_archive_title' );
			if ( true == $enable_archive_title ): ?>

				<header class="page-header">
					<?php
					the_archive_title( '<h1 class="page-title">', '</h1>' );
					the_archive_description( '<div class="archive-description">', '</div>' );
					?>
				</header><!-- .page-header -->

			<?php endif; ?>
			
			<?php $blog_layout 		 = blogger_era_get_option( 'blog_layout' );
			$enable_archive_drop_cap = blogger_era_get_option( 'enable_archive_drop_cap' );
			$drop_cap = '';
			if ( true == $enable_archive_drop_cap ){
				$drop_cap = 'drop-cap';
			}
			?>
			<div id="blog-post-wrap" class="blog-post-wrap <?php echo esc_attr( $blog_layout );?> <?php echo esc_attr( $drop_cap );?>">
				<?php
				/* Start the Loop */
				while ( have_posts() ) :
					the_post();

					/*
					 * Include the Post-Type-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
					 */

					get_template_part( 'template-parts/content', get_post_type() );

				endwhile;

				do_action( 'blogger_era_action_posts_navigation' );

				else :

					get_template_part( 'template-parts/content', 'none' );

				endif;
				?>
			</div>

		</main><!-- #main -->
	</div><!-- #primary -->
	<?php get_sidebar()?>
</div>
<?php
get_footer();
